Package ru.bitel.bgbilling.kernel.config.common.bean

# Class ConfigData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.config.common.bean.ConfigData

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ConfigData
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ConfigData()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getConfig()` |
  `java.util.Date` | `getLastEdited()` |
  `int` | `getModuleId()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserName()` |
  `boolean` | `isActive()` |
  `void` | `setActive​(boolean active)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setLastEdited​(java.util.Date lastEdited)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserName​(java.lang.String userName)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ConfigData

    public ConfigData()

- ## Method Details

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### isActive

    public boolean isActive()

  - ### setActive

    public void setActive​(boolean active)

  - ### getLastEdited

    public java.util.Date getLastEdited()

  - ### setLastEdited

    public void setLastEdited​(java.util.Date lastEdited)